﻿@font-face {
    font-family: 'ToulouseLautrecMoulinRougeSolide';
    src: url('../../fonts/ToulouseLautrecMoulinRougeSolide.woff2') format('woff2'), url('../../fonts/ToulouseLautrecMoulinRougeSolide.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}
html {
    height: auto;
}

body {
    font-family: 'Roboto', sans-serif;
    font-size: clamp(16px, 1.5vw, 30px);
    line-height: 1.6;
    color: #333333;
    min-height: 100dvh;
    min-height: -webkit-fill-available;
    background-color: #ffffff;
}

.color-yellow {
    color: #f5ee55 !important;
}

.color-pink {
    color: #ef5ba1 !important;
}

.container {
    max-width: 1200px;
}

a {
    color: #1877f2;
    text-decoration: none;
}

    a:hover {
        color: inherit;
        text-decoration: underline;
    }

header {
    background-color: #fff;
}

    header .navbar {
        padding: 1rem 1.5rem;
        justify-content: space-between;
    }

.navbar-brand {
    width: 12.708333333333332%;
    margin-right: 2rem;
}

#page-nav > ul > li + li {
}

#page-nav > ul > li a {
    color: #717d96;
    line-height: 1;
    font-weight: 700;
    padding-left: 0;
    padding-right: 0;
}

#page-nav > ul > li {
    border-bottom: 3px solid transparent;
}

    #page-nav > ul > li.active a {
        border-bottom: 3px solid #1c1c1d;
        color: #1c1c1d;
    }

    #page-nav > ul > li:hover a {
        color: #1c1c1d;
    }

.social-icon {
    font-size: 2vw;
    border-radius: 5px;
    color: #ffffff;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-weight: 700;
    font-family: "ToulouseLautrecMoulinRougeSolide", sans-serif;
    -webkit-text-stroke-width: 10px;    /* The width of the stroke */
    -webkit-text-stroke-color: black;    /* The color of the stroke */
    /* Standard property (limited support in older browsers) */
    text-stroke: 10px black;
    paint-order: stroke fill;
    letter-spacing: 1px;
    color: #f5ee55;
}

p {
    font-size: clamp(16px, 1.5vw, 30px);
    line-height: 1.6;
}

h1 {
    font-size: clamp(34px, 6vw, 93px);
    line-height: 1.2;
}

h2 {
    font-size: clamp(26px, 4vw, 60px);
    line-height: 1.25;
}

h3 {
    font-size: clamp(22px, 3vw, 54px);
}

h4 {
    font-size: clamp(19px, 2.4vw, 42px);
}

h5 {
    font-size: clamp(18px, 1.5vw, 22px);
}

h6 {
    font-size: clamp(16px, 1.2vw, 18px);
}
/*h1,
.h1 {
    font-size: calc(1.375rem + 1.5vw);
}

@media (min-width: 1200px) {

    h1,
    .h1 {
        font-size: 2.5rem;
    }
}

h2,
.h2 {
    font-size: calc(1.325rem + 0.9vw);
}

@media (min-width: 1200px) {

    h2,
    .h2 {
        font-size: 2rem;
    }
}

h3,
.h3 {
    font-size: calc(1.3rem + 0.6vw);
}

@media (min-width: 1200px) {

    h3,
    .h3 {
        font-size: 1.75rem;
    }
}

h4,
.h4 {
    font-size: calc(1.275rem + 0.3vw);
}

@media (min-width: 1200px) {

    h4,
    .h4 {
        font-size: 1.5rem;
    }
}

h5,
.h5 {
    font-size: 1.25rem;
}

h6,
.h6 {
    font-size: 1rem;
}*/


.page-subheader {
    font-size: clamp(18px, 2vw, 34px);
}

.default-btn {
    text-decoration: none;
    color: #fff;
    background-color: #000;
    border-radius: 25px;
    padding: 0.5rem 3rem;
    white-space: normal;
    font-family: "ToulouseLautrecMoulinRougeSolide", sans-serif;
    letter-spacing: 1px;
    border: 1px solid #1877f2;
    outline: 5px solid #000000;
/*    font-size: clamp(16px, 1.5vw, 30px);*/
}

    .default-btn:hover {
        background-color: #040404;
        color: #fff;
    }

input#btnUploadImage {
    padding: 0.5rem 2rem;
}

@media screen and (-ms-high-contrast: active), (-ms-high-contrast: none) {

    header,
    section {
        height: 100%;
    }
}

#htp-section {
    color: #fff;
    background-color: #2d3f94;
}
    #htp-section > .container {
        position: relative;
        background-image: url('https://snippcheck.blob.core.windows.net/files/Mondelez_Spring_Music_Festival_2008583/images/stars.png'), url('https://snippcheck.blob.core.windows.net/files/Mondelez_Spring_Music_Festival_2008583/images/stars.png');
        background-position: left 20%, right bottom;
        background-repeat: no-repeat, no-repeat;
        background-size: 10%;
    }
    .packet-img {
        width: 13.75%;
        position: absolute;
        right: -5%;
        top: -10%;
    }
    #htp-section h3,
    #htp-section p{
        filter: blur(0);
    }
.glow-card {
    padding: 30px;
    position: relative;
    width: 100%;
    height: 100%;
}
    .glow-card::before {
        content: "";
        position: absolute;
        width: 100%;
        height: 100%;
        background: radial-gradient(circle, #ff5ca8 0%, #e246a1 40%, rgba(255, 92, 168, 0.4) 60%, transparent 75%);
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        filter: blur(20px);
    }

#short-rule {
    font-size: 16px;
}

footer {
    background-color: #2d3f94;
    color: #ffffff;
    margin-top: auto;
    font-size: clamp(14px, 1.2vw, 24px);
}
    footer p {
        font-size: clamp(14px, 1.2vw, 24px);
    }

    footer .navbar {
        background-color: #000000;
    }
.candy-img {
    width: 15%;
    position: absolute;
    bottom: 0;
    right: 18%;
}

#footer-nav {
    margin-top: 10px;
    margin-bottom: 0px;
}

    #footer-nav li + li:before {
        color: #fff;
        margin-right: 7px;
    }

    #footer-nav li a {
        color: #ffffff;
    }

.footer-social-nav .list-inline > li {
    vertical-align: middle;
}

.footer-social-nav .social-icon:hover {
    color: #ffffff;
}

@media screen and (max-width: 575px) {
    footer {
        text-align: center;
    }

    .footer-left {
        width: 100%;
    }

    #footer-nav li.list-inline-item {
        display: block;
        margin-bottom: 5px;
    }

    #footer-nav li + li:before {
        content: "";
        margin-right: 0px;
    }
}

/* ==========================================================================
   mobile menu toggler Style
   ========================================================================== */
header .navbar .navbar-toggler {
    padding: 0px;
    border-color: #000000;
    border-width: 0px;
}

.navbar-toggler {
    position: relative;
    height: 50px;
    width: 50px;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    color: #000000;
}

    .navbar-toggler::before {
        content: "";
        position: absolute;
        width: 32px;
        height: 3px;
        background: #000000;
        transform: translateY(-10px);
        box-shadow: 0 10px #000000;
        transition: 0.5s;
    }

    .navbar-toggler::after {
        content: "";
        position: absolute;
        width: 32px;
        height: 3px;
        background: #000000;
        transform: translateY(10px);
        transition: 0.5s;
    }

    .navbar-toggler.active::before {
        transform: translateY(0px) rotate(45deg);
        box-shadow: 0 0 #000000;
    }

    .navbar-toggler.active::after {
        transform: translateY(0px) rotate(-45deg);
    }

/* ==========================================================================
   Upload-page Style
   ========================================================================== */
#txtPhoto,
#txtPhoto-2 {
    width: 0px;
    height: 0px;
    text-indent: -300em;
    position: fixed;
    top: -20px;
}

.form-control {
    color: #1d2945;
    overflow: hidden;
}

/* ==========================================================================
   Upload-page image preview screen Style
   ========================================================================== */
.instructions .step {
    background-color: #000000;
    color: #fff;
    border-radius: 50%;
    width: 60px;
    display: inline-block;
    height: 60px;
    padding: 15px 0px;
    float: left;
    margin: 0px 15px 0px 0px;
    box-sizing: border-box;
    text-align: center;
}

#previewImageContainer,
#previewImageContainer-2 {
    max-width: 300px;
}

.previewImageList li + li {
    border-top: 1px solid #dee2e6;
}

.previewImageName {
    font-size: 12px;
}

.deleteIcon {
    font-size: 20px;
    color: #dc3545;
}

.popup {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1050;
    overflow: hidden;
    outline: 0;
}

.has-error {
    border-color: #dc3545;
}

.hide {
    display: none;
}

input[disabled] {
    cursor: not-allowed;
}

.spinner-border-bg {
    background: #000000;
    opacity: 0.5;
    width: 100%;
    height: 100%;
    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
}

.sr-only {
    border: 0;
    clip: rect(0, 0, 0, 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.spinner-border {
    /* width: 100%; */
    /* height: 100%; */
    position: fixed;
    z-index: 10000000;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
}

.field-validation-error,
.field-validation-valid {
    color: #c20f2f;
    font-size: 90%;
}

/* ==========================================================================
   Support-page Style
   ========================================================================== */
#accordionFAQ > .card {
    margin-bottom: 15px;
    border-radius: 4px;
    background-color: #000;
    color: #ffffff;
}

    #accordionFAQ > .card > .card-header {
        padding: 0px;
        border-color: #fff;
    }

#accordionFAQ .btn-link {
    font-size: clamp(16px, 1.5vw, 30px);
    color: #fff;
    padding-right: 30px;
    font-family: 'Roboto', sans-serif;
    letter-spacing: 0;
    -webkit-text-stroke-width: 0px; /* The width of the stroke */
    -webkit-text-stroke-color: black; /* The color of the stroke */
    /* Standard property (limited support in older browsers) */
    text-stroke: 0px black;
}

    #accordionFAQ .btn-link:focus,
    #accordionFAQ .btn-link.focus,
    #accordionFAQ .btn-link:hover {
        text-decoration: none;
    }

#accordionFAQ > .card > .card-header h2 .btn-link:before {
    display: inline-block;
    content: "\2b";
    position: absolute;
    right: 15px;
    top: 5px;
    font-size: 20px;
    font-family: FontAwesome;
    transition: ease;
}

#accordionFAQ > .card > .card-header.active h2 .btn-link:before {
    display: inline-block;
    content: "\f00d";
    position: absolute;
    right: 15px;
    top: 5px;
    font-size: 20px;
    font-family: FontAwesome;
    transition: ease;
}
.toogle-country-list ul {
    padding: 0;
    margin: 0;
}

.list-inline {
    list-style: none;
    overflow-wrap: break-word;
}

.toogle-country-list ul li.active {
    border-bottom: 1px solid #48657c;
}

.list-inline > li {
    display: inline-block;
    padding-left: 5px;
    padding-right: 5px;
}

.toogle-country-list ul li a {
    font-weight: 700;
    color: #48657c;
    text-transform: uppercase;
    width: auto;
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-decoration: none;
}

.toogle-country-list {
    margin: 0 0 0 20px;
}

.list-inline-item:not(:last-child) {
    margin-right: 0;
}

hr {
    margin: 1rem -2rem;
    border-color: #000000;
}

form hr {
    margin: 1rem 0;
}

.custom-control-label::before,
.custom-control-label::after {
    top: 7px;
}

.btn:focus,
.btn.focus {
    box-shadow: none;
}

button:focus {
    outline: none;
}

.validation-summary-errors ul {
    list-style: none;
    padding: 0;
    text-align: center;
}

#h_captcha_field {
    display: none;
}

@media only screen and (min-width: 768px) and (max-width: 1024px) {
    hr {
        margin: 1rem 0;
    }
}

@media (max-width: 767px) {
    hr {
        margin: 1rem 0;
    }

    .custom-control-label::before,
    .custom-control-label::after {
        top: 3px;
    }

    .navbar-brand {
        width: 25%;
        margin-right: 0;
        -webkit-box-ordinal-group: 1;
        -moz-box-ordinal-group: 1;
        -ms-flex-order: 1;
        -webkit-order: 1;
        -ms-flex-order: 1;
        order: 1;
    }

    .toogle-country-list.d-none {
        display: none !important;
    }

    .toogle-country-list {
        display: flex !important;
        margin: 0;
        -webkit-box-ordinal-group: 2;
        -moz-box-ordinal-group: 2;
        -ms-flex-order: 4;
        -webkit-order: 2;
        -ms-flex-order: 2;
        order: 2;
    }

    button.navbar-toggler {
        -webkit-box-ordinal-group: 3;
        -moz-box-ordinal-group: 3;
        -ms-flex-order: 3;
        -webkit-order: 3;
        -ms-flex-order: 3;
        order: 3;
    }

    .navbar-collapse {
        -webkit-box-ordinal-group: 4;
        -moz-box-ordinal-group: 4;
        -ms-flex-order: 4;
        -webkit-order: 4;
        -ms-flex-order: 4;
        order: 4;
    }

    #page-nav > ul > li + li {
        margin-left: 0px;
    }


    footer {
        text-align: center;
        margin-top: -2px;
    }

    .footer-right {
        width: 100%;
    }

    div#upload-image {
        margin-top: 1rem;
    }

    .top-social-nav li:first-child {
        padding-left: 0;
    }

    .packet-img,
    .candy-img {
        display: none;
    }
    #htp-section > .container{
        background-image: none;
    }
}

@media (max-width: 576px) {
    header .navbar {
        padding: 0.5rem 1rem;
    }

    .navbar-brand {
        width: 40%;
    }

    .top-social-nav {
        margin-top: 5px;
    }

    .social-icon {
        font-size: 20px;
    }

    .container {
        max-width: 100%;
    }

    .footer-right {
        width: 100%;
    }

    .custom-control-label::before,
    .custom-control-label::after {
        top: 1px;
    }

    small {
        font-size: 14px;
    }
}
